--- anaconda-7.3/installclasses/OSSupgrade.py	Wed Dec 31 18:00:00 1969
+++ anaconda-7.3-f1/installclasses/OSSupgrade.py	Mon Jul 29 16:51:56 2002
@@ -0,0 +1,78 @@
+from fermiinstallclass import FermiInstallClass 
+from translate import N_
+from translate import _
+import iutil
+
+class InstallClass(FermiInstallClass):
+    name = N_("OSS Workgroup Upgrade")
+    pixmap = "oss.up.png"
+    sortPriority = 99999
+    parentClass = ( _("Upgrade"), "upgrade.png" )
+
+    def requiredDisplayMode(self):
+        return 't'
+
+    def setSteps(self, dispatch):
+	dispatch.setStepList(
+		    "language",
+		    "keyboard",
+		    "mouse",
+		    "welcome",
+		    "installtype",
+                    "findrootparts",
+		    "findinstall",
+                    "partitionobjinit",
+                    "upgrademount",
+                    "upgradeswapsuggestion",
+		    "addswap",
+                    "upgrademigfind",
+                    "upgrademigratefs",
+                    "upgradecontinue",
+                    "readcomps",
+                    "findpackages",
+                    "upgbootloader",
+                    "checkdeps",
+		    "dependencies",
+		    "confirmupgrade",
+		    "install",
+                    "migratefilesystems",
+                    "preinstallconfig",
+                    "installpackages",
+                    "postinstallconfig",
+                    "instbootloader",
+                    "dopostaction",
+		    "bootdisk",
+		    "complete"
+		)
+
+
+        if iutil.getArch() == "alpha" or iutil.getArch() == "ia64":
+	    dispatch.skipStep("bootdisk")
+            dispatch.skipStep("bootloader")
+            dispatch.skipStep("bootloaderpassword")
+	
+	dispatch.skipStep("bootdisk")
+	dispatch.skipStep("language")
+	dispatch.skipStep("keyboard")
+	dispatch.skipStep("welcome")
+
+    def setGroupSelection(self, comps):
+	FermiInstallClass.__init__(self, comps)
+
+        self.showGroups(comps, 
+			  [ ("KDE", 1),
+			     "GNOME",
+                             "Laptop Support",
+			     "Authoring and Publishing",
+                             "Software Development"
+                          ])
+
+        comps["OSS"].select()
+
+    def setInstallData(self, id):
+        FermiInstallClass.setInstallData(self, id)
+        id.upgrade.set(1)
+    
+    def __init__(self, expert):
+	FermiInstallClass.__init__(self, expert)
+
